BasicFeatureRenderer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.BasicFeatureRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class BasicFeatureRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.BasicFeatureRenderer

All Implemented Interfaces:
  FeatureRenderer, Changeable

    public class BasicFeatureRenderer

extends AbstractChangeable
implements FeatureRenderer

Author:
  Matthew Pocock, Keith James, Thomas Down

Field Summary
`static ChangeType` | `FILL`
`static ChangeType` | `OUTLINE`
`static ChangeType` | `SCOOP`
`static ChangeType` | `SIZE`

Constructor Summary
`BasicFeatureRenderer()`

Method Summary
`double` | `getArrowScoop()`
`double` | `getArrowSize()`
`double` | `getDepth(SequenceRenderContext src)`
`Paint` | `getFill()`
`Paint` | `getOutline()`
`FeatureHolder` | `processMouseEvent(FeatureHolder hits, SequenceRenderContext src, MouseEvent me)`
`void` | `renderFeature(Graphics2D g, Feature f, SequenceRenderContext src)`
`void` | `setArrowScoop(double arrowScoop)`
`void` | `setArrowSize(double arrowSize)`
`void` | `setFill(Paint p)`
`void` | `setOutline(Paint p)`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILL

    public static final ChangeType FILL

### OUTLINE

    public static final ChangeType OUTLINE

### SIZE

    public static final ChangeType SIZE

### SCOOP

    public static final ChangeType SCOOP

Constructor Detail

### BasicFeatureRenderer

    public BasicFeatureRenderer()

Method Detail

### setFill

    public void setFill(Paint p)
                 throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getFill

    public Paint getFill()

### setOutline

    public void setOutline(Paint p)
                    throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getOutline

    public Paint getOutline()

### setArrowSize

    public void setArrowSize(double arrowSize)
                      throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getArrowSize

    public double getArrowSize()

### setArrowScoop

    public void setArrowScoop(double arrowScoop)
                       throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getArrowScoop

    public double getArrowScoop()

### renderFeature

    public void renderFeature(Graphics2D g,
                              Feature f,
                              SequenceRenderContext src)

  Specified by:
    `renderFeature` in interface `FeatureRenderer`

### getDepth

    public double getDepth(SequenceRenderContext src)

  Specified by:
    `getDepth` in interface `FeatureRenderer`

### processMouseEvent

    public FeatureHolder processMouseEvent(FeatureHolder hits,
                                           SequenceRenderContext src,
                                           MouseEvent me)

  Specified by:
    `processMouseEvent` in interface `FeatureRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD